Package org.codehaus.groovy.ast.expr

## Class MethodPointerExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.MethodPointerExpression

-     public class MethodPointerExpression
      extends Expression

  Represents a method pointer on an object such as `foo.&bar` which means find the method pointer for the `bar` method on the `foo` instance. This is equivalent to: `foo.metaClass.getMethodPointer(foo, "bar")`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodPointerExpression​(Expression expression, Expression methodName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Expression` | `getExpression()` |
    `Expression` | `getMethodName()` |
    `String` | `getText()` |
    `Class` | `getTypeClass()` |
    `boolean` | `isDynamic()` |
    `Expression` | `transformExpression​(ExpressionTransformer transformer)` | Return a copy of the expression calling the transformer on any nested expressions
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

      `getType, setType, transformExpressions, transformExpressions`

    - ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

      `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodPointerExpression

          public MethodPointerExpression​(Expression expression,
                                         Expression methodName)

  - ### Method Detail

    - #### getExpression

          public Expression getExpression()

    - #### getMethodName

          public Expression getMethodName()

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### transformExpression

          public Expression transformExpression​(ExpressionTransformer transformer)

      Description copied from class: `Expression`
      Return a copy of the expression calling the transformer on any nested expressions
      Specified by:
        `transformExpression` in class `Expression`

    - #### getText

          public String getText()

      Overrides:
        `getText` in class `ASTNode`

    - #### isDynamic

          public boolean isDynamic()

    - #### getTypeClass

          public Class getTypeClass()